Bug 9265 - Undocumented -u option for ldd
: Undocumented -u option for ldd
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/man-pages)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://lists.altlinux.org/pipermail/d...
:
:
:
  Show dependency tree
 
Reported: 2006-03-18 17:38 by
Modified: 2006-05-23 10:32 (History)


Attachments
Add description about -u option to man ldd (341 bytes, patch)
2006-04-08 19:24, Slava Semushin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-18 17:38:50
В man ldd(1) отсутствует описание для опции -u:

[c0der@rock ~]$ man ldd | col -b | grep '\-u'
[c1der@rock ~]$ ldd --help | grep '\-u'
  -u, --unused            print unused direct dependencies
[c0der@rock ~]$
------- Comment #1 From 2006-03-31 23:32:14 -------
Fixed in man-pages-ru--0.98-alt7. Obsoleted file removed from package.
------- Comment #2 From 2006-04-08 13:38:54 -------
кхм... Бага-то на пакет man-pages, а не на man-pages-ru

В обоих манах отсутствовало описание этой опции и я повешал на английскую
версию, потому что русская является всего лишь переводом для оригинала.

=> REOPEN
------- Comment #3 From 2006-04-08 16:21:13 -------
Для выхода из сложившейся ситуации могу предложить два решения:
1) Вы пришлёте патч исправляющий упущения;
2) перемещаем ракет man-pages в obsoleted, так как множество руководств
пользователя не соответствует справке, содержащейся в программе. Это особенно
заметно на переводах. 
Как Вам больше нравится?
------- Comment #4 From 2006-04-08 19:22:50 -------
(In reply to comment #3)
> Для выхода из сложившейся ситуации могу предложить два решения:
> 1) Вы пришлёте патч исправляющий упущения;

Окей. Там всего три строчки-то.

> 2) перемещаем ракет man-pages в obsoleted, так как множество руководств
> пользователя не соответствует справке, содержащейся в программе. Это особенно
> заметно на переводах.

Нет. Это вообще не приемлимо.

> Как Вам больше нравится?

Есть ещё вариант 3) Оставить всё как есть

Но первый не такой уж и сложный, так что я за него.

А вообще же я думаю, что нужно сделать SVN-репозитарий для хранения переводов и
оригиналов и тогда легче будет обновлять переводы своевременно.
------- Comment #5 From 2006-04-08 19:24:09 -------
Created an attachment (id=1451) [details]
Add description about -u option to man ldd
------- Comment #6 From 2006-04-09 13:39:14 -------
Спасибо за патч!
Fixed in man-pages-2.29-alt1.src.rpm